Altitude Game: Forums  

Go Back   Altitude Game: Forums > Altitude Support > Tech Support

Tech Support Trouble running the game? Found a bug? Post here.

Reply
 
Thread Tools Display Modes
  #1  
Old 03-17-2014, 06:01 AM
VAN1SH1NG VAN1SH1NG is offline
Senior Member
 
Join Date: May 2011
Posts: 929
Default Ubuntu 13.10 64bit Issues

I just installed the 13.10 version of Lubuntu and had some difficulties with Altitude. Previously the highest version of Ubuntu I have used is 12.10. It seems they have deprecaiated ia32-libs. Instead I installed lib32bz2-1.0. Then I installed Steam followed by the Steam version of Altitude. Worked fine.

As I use server configurator and have some non steam accounts I then installed the standalone as well. No problems installing but I was not able to run Altitude, map editor, etc. From logs:

Altitude:
ERROR [2014-03-16 23:06:44,870] [main]: Launcher caught exception
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at em.update.client.launch.UpdateLauncher.a(SourceFil e:252)
at em.update.client.launch.UpdateLauncher.main(Source File:78)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.install4j.runtime.Launcher.main(Unknown Source)
Caused by: java.lang.NoClassDefFoundError: Could not initialize class java.awt.Toolkit
at java.awt.Color.<clinit>(Color.java:275)
at lE.<clinit>(SourceFile:41)
at fa.ah(SourceFile:2423)
at fa.a(SourceFile:2549)
at em.entry.EntryAltitudeGame.main(SourceFile:16)

Map Editor
java.lang.NoClassDefFoundError: Could not initialize class java.awt.Toolkit
at javax.swing.UIManager.getSystemLookAndFeelClassNam e(UIManager.java:608)
at em.update.client.launch.UpdateLauncher.c(SourceFil e:301)
at em.update.client.launch.UpdateLauncher.a(SourceFil e:270)
at em.update.client.launch.UpdateLauncher.a(SourceFil e:259)
at em.update.client.launch.UpdateLauncher.main(Source File:89)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.install4j.runtime.Launcher.main(Unknown Source)
java.lang.NoClassDefFoundError: java.awt.Container
at com.exe4j.runtime.LauncherEngine.handleFailure(Unk nown Source)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.install4j.runtime.Launcher.main(Unknown Source)
Exception in thread "main" java.lang.NoClassDefFoundError: java.awt.Container
at com.exe4j.runtime.LauncherEngine.handleFailure(Unk nown Source)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.install4j.runtime.Launcher.main(Unknown Source)

I did get it working by adding software repository "deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse", followed by "apt-get update" and "apt-get install ia32-libs". Or at least it launches now and I assume Altitude is fully working. Have not played at all yet.

Is there a better solution to this since ia32-libs is no longer supported? Odd that Steam version works without the workaround.
Reply With Quote
  #2  
Old 03-17-2014, 06:00 PM
LewisH LewisH is offline
Senior Member
 
Join Date: Mar 2012
Location: Earth
Posts: 215
Default

- Have you tried installing the other components of ia32-libs (lib32z1 and lib32ncurses5)?
I doubt very much alti relies on ncurses, but it's worth a shot.

- Steam packages it's own versions of the required libraries, probably to prevent version changes or distro specific changes breaking steam.
Starting steam with
Code:
STEAM_RUNTIME=0 steam
will use the system's libraries, so if it's a library problem alti would not start when you run steam like this.

- If it is a missing library problem, this should list missing libraries for the .so files: (taken from arch wiki + modified)
Code:
cd ~/altitude/native
LD_LIBRARY_PATH=".:${LD_LIBRARY_PATH}" ldd $(file *|sed '/ELF/!d;s/:.*//g')|grep 'not found'|sort|uniq
On my arch setup, it lists libjawt.so and libjvm.so as missing, but the game runs fine anyway, so they don't seem to be critical
Reply With Quote
  #3  
Old 03-18-2014, 04:50 PM
Tekn0 Tekn0 is offline
Senior Member
 
Join Date: Dec 2010
Posts: 1,548
Default

Just to put it out there (since Vanquish claimed Alti+Steam+Linux=not working).

I am running Alti on Steam on Ubuntu 13.04 64-bit without any tweaks. Everything works perfectly, in fact runs as good or better than the Windows version. Absolutely no problems here.
Reply With Quote
  #4  
Old 03-18-2014, 05:15 PM
LewisH LewisH is offline
Senior Member
 
Join Date: Mar 2012
Location: Earth
Posts: 215
Default

Quote:
Originally Posted by Tekn0 View Post
Just to put it out there (since Vanquish claimed Alti+Steam+Linux=not working).

I am running Alti on Steam on Ubuntu 13.04 64-bit without any tweaks. Everything works perfectly, in fact runs as good or better than the Windows version. Absolutely no problems here.
Quote:
Originally Posted by VAN1SH1NG View Post
[...]Then I installed Steam followed by the Steam version of Altitude. Worked fine. [...]
It's the standalone version ( for running the server configuration ) that he's having problems with ^^

I don't use alti through steam, but steam packages it's own libraries so there should be no issues like this.
Reply With Quote
  #5  
Old 03-18-2014, 09:13 PM
VAN1SH1NG VAN1SH1NG is offline
Senior Member
 
Join Date: May 2011
Posts: 929
Default

Yeah Steam Altitude always worked. I did install lib32z1 and lib32ncurses5 after lib32bz2-1.0 was not enough but those did not help.
Reply With Quote
  #6  
Old 03-18-2014, 10:06 PM
LewisH LewisH is offline
Senior Member
 
Join Date: Mar 2012
Location: Earth
Posts: 215
Default

Quote:
Originally Posted by VAN1SH1NG View Post
Yeah Steam Altitude always worked. I did install lib32z1 and lib32ncurses5 after lib32bz2-1.0 was not enough but those did not help.
Does installing openjdk-7-jre (or oracle JRE, I don't know the package name for that) and setting ~/altitude/.install4j/pref_jre.cfg to /usr change anything?

Considering installing ia32-libs fixes it, it seems like a library error, but if this changes something it might not be.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
No sound in Ubuntu 11.10 LewisH Tech Support 5 05-24-2012 04:52 PM
64bit support in linux? santos Tech Support 9 10-18-2010 11:10 PM
Sound bug on 64bit ubuntu helltone Tech Support 0 04-05-2010 05:45 PM
No sound in Ubuntu 9.10 Marcio Tech Support 4 02-25-2010 04:00 AM
altitude on Ubuntu Dre__ General Altitude Discussion 10 03-19-2009 03:22 AM


All times are GMT. The time now is 04:01 PM.


Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
2008 Nimbly Games LLC